Runtime

## org.eclipse.gmf.runtime.diagram.ui.actions
Class CheckedPropertyAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.gmf.runtime.common.ui.action.AbstractActionHandler
                      org.eclipse.gmf.runtime.diagram.ui.actions.DiagramAction
                          org.eclipse.gmf.runtime.diagram.ui.internal.actions.PropertyChangeAction
                              org.eclipse.gmf.runtime.diagram.ui.actions.CheckedPropertyAction

All Implemented Interfaces:
  Disposable, IAction, IActionWithProgress, IDisposableAction, IOperationHistoryListener, IPropertyListener, ISelectionChangedListener

Direct Known Subclasses:
  BooleanPropertyAction

public class CheckedPropertyAction
extends org.eclipse.gmf.runtime.diagram.ui.internal.actions.PropertyChangeAction

Nested Class Summary

Nested classes inherited from class org.eclipse.gmf.runtime.common.ui.action.IActionWithProgress
`IActionWithProgress.WorkIndicatorType`

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`protected` `CheckedPropertyAction(IWorkbenchPage workbenchPage, java.lang.String propertyId, java.lang.String propertyName, java.lang.Object propertyValue)` Creates a new boolean property change action isntance

Method Summary
`protected boolean` `calculateChecked()` Calculates the check state of the action
`protected java.lang.Object` `getNewPropertyValue()` Gets the new property value (usualy from the item's control)
`int` `getStyle()`
`protected boolean` `isOperationHistoryListener()` Retrieves a Boolean indicating whether this action handler is interested in operation history changed events.
`void` `refresh()` Refreshes various aspects of this action, such as its label and whether or not it is enabled.

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.internal.actions.PropertyChangeAction
`createTargetRequest, getOperationSetPropertyValue, getPropertyId, getPropertyName, getPropertyValue, isSelectionListener, setPropertyId, setPropertyName, updateTargetRequest`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.actions.DiagramAction
`calculateEnabled, clearTargetRequest, createOperationSet, dispose, doRun, execute, filterEditPartsMatching, getCommand, getCommand, getCommandLabel, getDiagramCommandStack, getDiagramEditDomain, getDiagramEditPart, getDiagramGraphicalViewer, getDiagramWorkbenchPart, getOperationSet, getPreferencesHint, getSelectedObjects, getTargetEditParts, getTargetRequest, setTargetRequest`

Methods inherited from class org.eclipse.gmf.runtime.common.ui.action.AbstractActionHandler

`contributedToPart, getActionManager, getLabel, getOperationHistory, getPartListener, getSelection, getStructuredSelection, getUndoContext, getWorkbenchPage, getWorkbenchPart, getWorkIndicatorType, handle, historyNotification, init, isDisposed, isPropertyListener, isRunnable, isSetup, needsSetup, openErrorDialog, propertyChanged, run, run, runWithEvent, selectionChanged, setDisposed, setPartSelector, setSetup, setup, setWorkbenchPart`

Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IAction

`addPropertyChangeListener, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getText, getToolTipText, isChecked, isEnabled, isHandled, removePropertyChangeListener, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Constructor Detail

### CheckedPropertyAction

    protected CheckedPropertyAction(IWorkbenchPage workbenchPage,
                                    java.lang.String propertyId,
                                    java.lang.String propertyName,
                                    java.lang.Object propertyValue)

  Creates a new boolean property change action isntance

Parameters:
  `workbenchPage` - The workbench page
  `propertyName` - The property name
  `propertyId` - The property id

Method Detail

### isOperationHistoryListener

    protected boolean isOperationHistoryListener()

  Description copied from class: `AbstractActionHandler`
  Retrieves a Boolean indicating whether this action handler is interested in operation history changed events.

  Overrides:
    `isOperationHistoryListener` in class `AbstractActionHandler`
  Returns:
    `true` if this action handler is interested; `false` otherwise.

### getStyle

    public int getStyle()

### refresh

    public void refresh()

  Description copied from interface: `IActionWithProgress`
  Refreshes various aspects of this action, such as its label and whether or not it is enabled.

  Specified by:
    `refresh` in interface `IActionWithProgress`
  Overrides:
    `refresh` in class `DiagramAction`

### calculateChecked

    protected boolean calculateChecked()

  Calculates the check state of the action

  Returns:
    `true` if action should be checked, `false` otherwise

### getNewPropertyValue

    protected java.lang.Object getNewPropertyValue()

  Description copied from class: `org.eclipse.gmf.runtime.diagram.ui.internal.actions.PropertyChangeAction`
  Gets the new property value (usualy from the item's control)

  Returns:
    the new property value

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.